| Home | Libraries | People | FAQ | More

##### ssl::stream::peek (2 of 2 overloads)

Peek at the incoming data on the stream.

    template<
        typename MutableBufferSequence>
    std::size_t peek(
        const MutableBufferSequence & buffers,
        boost::system::error_code & ec);

This function is used to peek at the incoming data on the stream, withoutxi removing it from the input queue. The function call will block until data has been read successfully or an error occurs.

###### Parameters

buffers

  The buffers into which the data will be read.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes read. Returns 0 if an error occurred.